Subject: Re: [PATCH net-next 0/10] net: dsa: improve serdes integration

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 9 Mar 2020 09:48:28 +0000

On Sun, Mar 08, 2020 at 10:04:47PM -0700, David Miller wrote:
> From: Russell King - ARM Linux admin <[email-masked]>
> Date: Thu, 5 Mar 2020 12:41:39 +0000
> 
> > Andrew Lunn mentioned that the Serdes PCS found in Marvell DSA switches
> > does not automatically update the switch MACs with the link parameters.
> > Currently, the DSA code implements a work-around for this.
> > 
> > This series improves the Serdes integration, making use of the recent
> > phylink changes to support split MAC/PCS setups.  One noticable
> > improvement for userspace is that ethtool can now report the link
> > partner's advertisement.
> 
> It looks like Andrew's regression has to be sorted out, so I'm deferring
> this.

Yep - it comes from the poor integration of phylink into DSA for CPU
and inter-DSA ports which is already causing regressions in today's
kernels. That needs resolving somehow before this patch series can
be merged, but it isn't something that can be fixed from the phylink
side of things.

I'll postpone these patches until that issue is resolved.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up